Bug 186484 - [NEW PORT] ports-mgmt/pkgcompare: Alternate to pkg upgrade
Summary: [NEW PORT] ports-mgmt/pkgcompare: Alternate to pkg upgrade
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Olli Hauer
URL:
Keywords: needs-qa, patch
Depends on:
Blocks:
 
Reported: 2014-02-05 15:30 UTC by Waitman Gobble
Modified: 2014-10-28 22:56 UTC (History)
1 user (show)

See Also:


Attachments
file.shar (3.08 KB, text/plain)
2014-02-05 15:30 UTC, Waitman Gobble
no flags Details
pkgcompare.shar.txt (3.08 KB, text/plain)
2014-02-05 20:18 UTC, Waitman Gobble
no flags Details
[patch] new port port ports-mgmt/pkgcompare (5.08 KB, patch)
2014-09-07 19:45 UTC, Olli Hauer
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Waitman Gobble 2014-02-05 15:30:00 UTC
This program provides for an alternate pkg upgrade procedure. 

Move /usr/local to /usr/old-local and /var/db/pkg to /var/db/old-pkg,
then use pkg-compare to generate a list of packages to install.

WWW:
https://github.com/waitman/pkg-compare

Fix: Patch attached with submission follows:
Comment 1 Waitman Gobble 2014-02-05 20:18:08 UTC
Please use this 1.1 update instead. This adds -m switch, which mimicks:

# pkg query -e '%a == 0' %o

...to optionally show only manually installed ports, not the dependencies.

Thank you,

-- 
Waitman Gobble
San Jose California USA
(510) 830-7975
Comment 2 John Marino freebsd_committer 2014-08-07 14:29:35 UTC
Hi, if you are still interested in having this port in FreeBSD, it may need to be reworked to support stage, and it could need updating to other newer conventions such as "USES" which is expanding all time.
See http://lists.freebsd.org/pipermail/freebsd-ports-announce/2014-May/000080.html


Additionally, you need to provide some sort of quality assurance.    
In order of preference, we are looking for:

1) "poudriere testport" or "poudriere bulk -t" logs
2) Redports or tinderbox logs

Please provide an updated shar file and attach a test log.  Alternatively, please indicate if you are no longer interested in having this software in the Ports Collection and that we can close the PR.

Thanks!
Comment 3 John Marino freebsd_committer 2014-08-24 18:52:45 UTC
this port appears staged and doesn't seem bitrotted.
Comment 4 Olli Hauer freebsd_committer 2014-09-07 19:42:26 UTC
Hi Waitman,

please review the following patch (updated to GH_TAGNAME=1fe5a3d and a small pkg-plist fix (PORTDOCS=*) was missing.

Additional I opened a request on github to prefix showprefix, and showmanual with an '#' so no unknown command error is thrown.
Comment 5 Olli Hauer freebsd_committer 2014-09-07 19:45:38 UTC
Created attachment 147030 [details]
[patch] new port port ports-mgmt/pkgcompare
Comment 6 John Marino freebsd_committer 2014-10-05 21:33:52 UTC
I'm moving this to patch-ready because Olli's submission looks good, but given the timeout by Waitman, I'd like confirmation that he's still available and wants to be the maintainer (per Olli's patch)
Comment 7 commit-hook freebsd_committer 2014-10-28 22:55:20 UTC
A commit references this bug:

Author: ohauer
Date: Tue Oct 28 22:55:15 UTC 2014
New revision: 371655
URL: https://svnweb.freebsd.org/changeset/ports/371655

Log:
  - new port pkgcompare

  This program provides for an alternate pkg upgrade procedure.

  Usage: pkg-compare [options] new_path old_path

  This program reads local.sqlite in new_path and compares list of installed
  packages in local.sqlite in old_path. If a package is found in old_path which
  is not in new_path then the name of the port is printed, one per line.

  Command line switches:
      -p  prefix uninstalled packages with 'pkg install -Rf'
      -m  show manually installed packages only, no deps

  WWW: https://github.com/waitman/pkg-compare

  PR:		186484
  Submitted by:	waitman@waitman.net

Changes:
  head/ports-mgmt/Makefile
  head/ports-mgmt/pkgcompare/
  head/ports-mgmt/pkgcompare/Makefile
  head/ports-mgmt/pkgcompare/distinfo
  head/ports-mgmt/pkgcompare/files/
  head/ports-mgmt/pkgcompare/files/pkg-message.in
  head/ports-mgmt/pkgcompare/pkg-descr
Comment 8 Olli Hauer freebsd_committer 2014-10-28 22:56:55 UTC
Committed with new github changes 418295d!